Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.openmbean
Class InvalidOpenTypeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.IllegalArgumentException
                      javax.management.openmbean.InvalidOpenTypeException

All Implemented Interfaces:
  Serializable

    public class InvalidOpenTypeException

extends IllegalArgumentException

This runtime exception is thrown to indicate that the open type of an open data value is not the one expected.

Since:
  1.5
See Also:
  Serialized Form

Constructor Summary
`InvalidOpenTypeException()` An InvalidOpenTypeException with no detail message.
`InvalidOpenTypeException(String msg)` An InvalidOpenTypeException with a detail message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidOpenTypeException

    public InvalidOpenTypeException()

  An InvalidOpenTypeException with no detail message.

### InvalidOpenTypeException

    public InvalidOpenTypeException(String msg)

  An InvalidOpenTypeException with a detail message.

  Parameters:
    `msg` - the detail message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2008 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.